directories:
  output: release
  buildResources: dist
appId: com.univrstudio.univrhome.dev
productName: UniVRHome DEV
files:
  - filter:
      - '**/*'
      - dist/**/*
      - '!scripts/**/*'
      - '!cert/**/*'
      - '!release/**/*'
      - '!src/**/*'
      - '!**/*.{map,ts,md,markdown}'
      - '!**/{.git,CVS,.*}'
      - '!**/{LICENSE,CHANGELOG,CONTRIBUTORS,readme,README,test,__tests__}'
      - '!**/node_modules/**/{CONTRIBUTORS,LICENSE,*.md,*.markdown,*.ts}'
      - '!node_modules/*/{test,__tests__,tests,powered-test,example,examples,*.d.ts}'
      - '!node_modules/.bin'
      - '!**/*.{iml,o,hprof,orig,pyc,pyo,rbc,swp,csproj,sln,xproj}'
extraFiles:
  - filter:
      - build_assets
      - macos
win:
  target:
    target: nsis
    arch:
      - x64
  icon: ./src/assets/images/Icone_App_Home_DEV_256px.ico
  publish:
    provider: generic
    url: https://builds.univrdev.com/staging
  sign: null
mac:
  target:
    target: dmg
    arch:
      - arm64
      - x64
  icon: ./src/assets/images/icon.icns
  publish:
    provider: generic
    url: https://builds.univrdev.com/mac/staging
  sign: null
nsis:
  deleteAppDataOnUninstall: true
  oneClick: true
  perMachine: false
asar: true
asarUnpack:
  - build_assets/tools/**/*
compression: maximum
electronVersion: 31.3.1
